using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;
using System.Threading;
using System.ComponentModel;

namespace Namestanje_Takmicenja
{

    class Program
    {
        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            string s1 = Console.ReadLine();
            string s1 = Console.ReadLine();
            Console.WriteLine(0);
            Console.WriteLine(1);
            Console.WriteLine(5);



        }
           
    }
}